/*///////////////////////////////////////////////////////////////////////////////
// Licensed Materials - Use restricted. For use in compiling interfaces to
// IBM Rational TestManager.
// (c) Copyright IBM Corporation 2006.  All Rights Reserved.
//
//	FILENAME:		plibdefs.h
//	DESCRIPTION:	Virtual User API Defines
//
//	REVISION HISTORY
//	PROGRAMMER		DATE		REVISION
//	============================================================================
//
//	DJM				11/6/98	initial product version
//
////////////////////////////////////////////////////////////////////////////////
*/


#ifndef __INCLUDE_PLIBDEFS_H
#define __INCLUDE_PLIBDEFS_H

/*
// add new defines as desired, WARNING
// changing existing defines would make old
// watch files incompatible 

// the defines are to be used in calls to ProxyLock() in sqaputil dll
// in recording the API data	
*/

#define PROXY_LIB_NETWORK			1
#define PROXY_LIB_SOCKET_1			2
#define PROXY_LIB_SOCKET_2			3
#define PROXY_LIB_WINDOWS_SYSTEM		4
#define PROXY_LIB_WININET			5
#define PROXY_LIB_NETSCAPE_SSL			6
#define PROXY_LIB_OCI				7
#define PROXY_LIB_COM				8
#define PROXY_LIB_DCOM				9
#define PROXY_LIB_KERNEL32      		11
#define PROXY_LIB_OCI7_OLD			12
#define PROXY_LIB_OCI8_OLD			13
#define PROXY_LIB_ODBC_OLD				14
#define PROXY_LIB_OCI81_OLD			15
#define PROXY_LIB_DBLIB				16
#define PROXY_LIB_OCI7				17
#define PROXY_LIB_OCI8				18
#define PROXY_LIB_OCI81				19
#define PROXY_LIB_ODBC				20


/* changed kernel32 to 11 to avoid problems with a bad merge */

#define INCLUDE_PROXY_FUNCTIONS			1


/*
// SMC 01/16/99
// added this hack to see if forcing protocol dll's at spy init resulted
// in more captured API's.  
// in one test case, the answer was no.
// when I surfed to espnet.go.com, I got 18 httpsendrequesta, whether or not
// I forced at spy init (using quick spy).
*/
#define AT_INIT_LOAD_WINSOCK1			0
#define AT_INIT_LOAD_WINSOCK2			0
#define AT_INIT_LOAD_WININET			0



/* Microsoft Core DLL's */
#define SZ_DLL_KERNEL32			TEXT("KERNEL32.DLL")
#define SZ_DLL_OLE32			TEXT("OLE32.DLL")
#define SZ_DLL_OLEAUT32			TEXT("OLEAUT32.DLL")
/* Microsoft Communication DLL's */
#define SZ_DLL_WINSOCK1			TEXT("WSOCK32.DLL")
#define SZ_DLL_WINSOCK2			TEXT("WS2_32.DLL")
#define SZ_DLL_WININET			TEXT("WININET.DLL")
/* Microsoft Cryptographic DLL's */
#define SZ_DLL_ADVAPI32			TEXT("ADVAPI32.DLL")
#define SZ_DLL_CRYPT32			TEXT("CRYPT32.DLL")
#define SZ_DLL_RSABASE			TEXT("RSABASE.DLL")
/* Oracle's oci dlls */
#define SZ_DLL_NTT80			TEXT("ntt80.dll")	/* an Oracle DLL that dynamically loads WS2_32.DLL in DLLMain!!! */
#define SZ_DLL_OCIW32			TEXT("ociw32.dll")
#define SZ_DLL_ORA7NT			TEXT("ora7nt.dll")
#define SZ_DLL_ORANT71			TEXT("orant71.dll")
#define SZ_DLL_ORA72			TEXT("ora72.dll")
#define SZ_DLL_ORA73			TEXT("ora73.dll")
#define SZ_DLL_ORA803			TEXT("ora803.dll")
#define SZ_DLL_ORA804			TEXT("ora804.dll")
#define SZ_DLL_ORA805			TEXT("ora805.dll")
#define SZ_DLL_ORAOCI			TEXT("oci.dll")
#define SZ_DLL_ORAGENERIC8		TEXT("orageneric8.dll")
#define SZ_DLL_ORACLIENT8		TEXT("oraclient8.dll")
#define SZ_DLL_ORAGENERIC9		TEXT("orageneric9.dll")
#define SZ_DLL_ORACLIENT9		TEXT("oraclient9.dll")
/* ODBC dll */
#define SZ_DLL_ODBC32		TEXT("odbc32.dll")
/* dblib dll */
#define SZ_DLL_DBLIB		TEXT("ntwdblib.dll")
/* SQA Spy, Proxies, and Tests */
#define SZ_DLL_SQA_VU_SPY		TEXT("RTXVSPY.DLL")
#define SZ_DLL_RTXCOMSPY		TEXT("RTXCOMSPY.DLL")
#define SZ_DLL_SQA_WINSOCK1		TEXT("RTXWS1.DLL")
#define SZ_DLL_SQA_WINSOCK2		TEXT("RTXWS2.DLL")
#define SZ_DLL_SQA_WININET		TEXT("RTXINET.DLL")
#define SZ_DLL_TSTAPI			TEXT("TSTAPI.DLL")
#define SZ_DLL_SQA_OCIW32		TEXT("rtxor32.dll")
#define SZ_DLL_SQA_ORA7NT		TEXT("rtxor70.dll")
#define SZ_DLL_SQA_ORANT71		TEXT("rtxor71.dll")
#define SZ_DLL_SQA_ORA72		TEXT("rtxor72.dll")
#define SZ_DLL_SQA_ORA73		TEXT("rtxor73.dll")
#define SZ_DLL_SQA_ORA803		TEXT("rtxo803.dll")
#define SZ_DLL_SQA_ORA804		TEXT("rtxo804.dll")
#define SZ_DLL_SQA_ORA805		TEXT("rtxo805.dll")
#define SZ_DLL_SQA_ORAOCI		TEXT("rtxooci.dll")
#define SZ_DLL_SQA_ORA81C		TEXT("rtxo81c.dll")
#define SZ_DLL_SQA_ODBC32		TEXT("rtxodbc.dll")
#define SZ_DLL_SQA_DBLIB		TEXT("rtxdblb.dll")

struct mychar 
{
	char* oname;  /* our name in our dll */
	char* rname;  /* real name in real dll */
	int api_id;	  /* api id as defined in suite/include/<proxyhdrdefines>.h */
};

#endif /* __INCLUDE_PLIBDEFS_H */

